#!/usr/bin/env bash
RTLS_HOME=/usr/rtls
RTLS_FRONTEND_PREFIX=$RTLS_HOME/rtls-frontend

USR="$(cat /usr/rtls/database.json |jq ".prod.user" -r)"
PWD="$(cat /usr/rtls/database.json |jq ".prod.password" -r)"
DB="$(cat /usr/rtls/database.json |jq ".prod.database" -r)"

DB_QUERY_MIGRATION="DELETE FROM migrations WHERE name = '/20210527132911-add-new-notification-type';"
mysql -u$USR -p$PWD -D$DB  -e "$DB_QUERY_MIGRATION"

DB_QUERY_NOTIFICATION_TYPE="DELETE FROM notification_types WHERE name='trackable_unresponsive';"
mysql -u$USR -p$PWD -D$DB  -e "$DB_QUERY_NOTIFICATION_TYPE"

DB_QUERY_DELETE_NOTIFICATION_SUBSCRIBER="DELETE FROM notification_subscriber WHERE notification_uid IN (SELECT uid FROM notifications WHERE conditions LIKE '%trackable_unresponsive%');"
mysql -u$USR -p$PWD -D$DB  -e "$DB_QUERY_DELETE_NOTIFICATION_SUBSCRIBER"

DB_QUERY_DELETE_NOTIFICATIONS="DELETE from notifications where conditions like '%[\"trackable_unresponsive\"]%'"
mysql -u$USR -p$PWD -D$DB  -e "$DB_QUERY_DELETE_NOTIFICATIONS"

DB_QUERY_UPDATE_NOTIFICATIONS="UPDATE notifications SET conditions = REPLACE(REPLACE(REPLACE(conditions,',\"trackable_unresponsive\"',''),'\"trackable_unresponsive\",',''),'\"trackable_unresponsive\"','') WHERE conditions like '%trackable_unresponsive%';"
mysql -u$USR -p$PWD -D$DB  -e "$DB_QUERY_UPDATE_NOTIFICATIONS"
