#!/usr/bin/env bash
set -x #echo on

#REPO_SERVER_HOST from jenkins environment variables
REPO_HOST=${REPO_SERVER_HOST} # 18.234.65.115 ubuntu connector
REPO_USER=release

PROJECT_HOME=${WORKSPACE}
FILE="$( server/addons/attendance_detection/sys-services/rtls-get-file-name.sh )"

REPO_UPLOAD_PATH="/www/domains/repo.rpplabs.com/ubuntu_development"
chmod 700 ~/.ssh
chmod 600 ~/.ssh/*

# create package archive in /releases folder
[ ! -d "${PROJECT_HOME}"/releases ] && mkdir "${PROJECT_HOME}"/releases
cp "${PROJECT_HOME}"/"${FILE}" "${PROJECT_HOME}"/releases/
[ -f "${PROJECT_HOME}"/releases/"${FILE}".xz ] && rm -f "${PROJECT_HOME}"/releases/"${FILE}".xz
ls -l "${PROJECT_HOME}"/
xz -6 "${PROJECT_HOME}"/releases/"${FILE}"
ls -l "${PROJECT_HOME}"/releases/

ssh -o StrictHostKeyChecking=no "${REPO_USER}"@"${REPO_HOST}" rm -f "${REPO_UPLOAD_PATH}"/"${FILE}" "${REPO_UPLOAD_PATH}"/"${FILE}".xz
scp -o StrictHostKeyChecking=no ./releases/"${FILE}".xz "${REPO_USER}"@"${REPO_HOST}":"${REPO_UPLOAD_PATH}"
ssh -o StrictHostKeyChecking=no "${REPO_USER}"@"${REPO_HOST}" /usr/local/bin/rpp_handle_deb.sh "${FILE}" "${REPO_UPLOAD_PATH}" "SKIP"
